## realtek-r8125-dkms 9.003.05

=== Makefile ===
################################################################################
#
# r8125 is the Linux device driver released for Realtek 2.5Gigabit Ethernet
# controllers with PCI-Express interface.
#
# Copyright(c) 2019 Realtek Semiconductor Corp. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, see <http://www.gnu.org/licenses/>.
#
# Author:
# Realtek NIC software team <nicfae@realtek.com>
# No. 2, Innovation Road II, Hsinchu Science Park, Hsinchu 300, Taiwan
#
################################################################################

################################################################################
#  This product is covered by one or more of the following patents:
#  US6,570,884, US6,115,776, and US6,327,625.
################################################################################

KFLAG := 2$(shell "$KVER" | sed -ne 's/^2\.[4]\..*/4/p')x
BSRC ?= /lib/modules/$(shell uname -r)

all: clean modules install

modules:
ifeq ($(KFLAG),24x)
	$(MAKE) -C src/ KVER=$(KVER) BASEDIR=$(BSRC) -f Makefile_linux24x modules
else
	$(MAKE) -C src/ KVER=$(KVER) BASEDIR=$(BSRC) modules
endif

clean:
ifeq ($(KFLAG),24x)
	$(MAKE) -C src/ KVER=$(KVER) BASEDIR=$(BSRC) -f Makefile_linux24x clean
else
	$(MAKE) -C src/ KVER=$(KVER) BASEDIR=$(BSRC) clean
endif

install:
ifeq ($(KFLAG),24x)
	$(MAKE) -C src/ KVER=$(KVER) BASEDIR=$(BSRC) -f Makefile_linux24x install
else
	$(MAKE) -C src/ KVER=$(KVER) BASEDIR=$(BSRC) install
endif

=== debian/changelog ===
realtek-r8125-dkms (9.003.05-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 28 Aug 2020 00:24:39 -0400

realtek-r8125-dkms (9.003.05-1) stable; urgency=low

  * Now DKMS working
  * Change DKMS version by Debian package to the driver's version

 -- Deokgyu Yang <secugyu@gmail.com>  Tue, 16 Jun 2020 00:52:35 +0900

realtek-r8125-dkms (0.1) UNRELEASED; urgency=low

  * Initial release
  * This package will be installed but DKMS won't work
    Do not install this version, otherwise your system will be corrupted

 -- Deokgyu Yang <secugyu@gmail.com>  Fri, 12 Jun 2020 12:27:29 +0900

=== debian/control ===
Source: realtek-r8125-dkms
Section: contrib/kernel
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Deokgyu Yang <secugyu@gmail.com>
Build-Depends: debhelper (>=12~), dkms
Standards-Version: 4.3.0
Homepage: https://github.com/awesometic/realtek-r8125-dkms

Package: realtek-r8125-dkms
Architecture: any
Multi-Arch: foreign
Depends: dkms (>= 1.95), ${misc:Depends}
Description: Realtek RTL8125 driver in DKMS format
  This package provides the source code for RTL8125 Linux driver that may
  include supporting other Realtek 2.5 GbE chipsets to be build with dkms.
  Kernel sources or headers are required to compile this module.

## realtek-r8125-dkms 9.006.04

=== debian/changelog ===
realtek-r8125-dkms (9.006.04-3~mx21+1) mx; urgency=medium

  * Initial build from upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 05 Nov 2021 15:53:37 -0400

realtek-r8125-dkms (9.006.04-3) stable; urgency=medium

  * Fix a potential dependency problem during Makefile

 -- Deokgyu Yang <secugyu@gmail.com>  Wed, 03 Nov 2021 15:55:27 +0900

realtek-r8125-dkms (9.006.04-2) stable; urgency=medium

  * Add spinlock_t lock member back to the r8125_private struct

 -- Deokgyu Yang <secugyu@gmail.com>  Wed, 29 Sep 2021 20:39:07 +0900

realtek-r8125-dkms (9.006.04-1) stable; urgency=medium

  * Update Realtek r8125 driver to 9.006.04

 -- Deokgyu Yang <secugyu@gmail.com>  Thu, 19 Aug 2021 21:23:11 +0900

realtek-r8125-dkms (9.005.06-1) stable; urgency=medium

  * Update Realtek r8125 driver to 9.005.06

 -- Deokgyu Yang <secugyu@gmail.com>  Fri, 04 Jun 2021 14:57:04 +0900

realtek-r8125-dkms (9.005.01-1) stable; urgency=medium

  * Update Realtek r8125 driver to 9.005.01

 -- Deokgyu Yang <secugyu@gmail.com>  Tue, 02 Feb 2021 15:34:42 +0900

realtek-r8125-dkms (9.004.01-1) stable; urgency=medium

  * Update Realtek r8125 driver to 9.004.01

 -- Deokgyu Yang <secugyu@gmail.com>  Thu, 22 Oct 2020 09:35:28 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Deokgyu Yang <secugyu@gmail.com>
-Build-Depends: debhelper (>=12~), dkms
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>=11~), dkms
+Standards-Version: 4.1.4
 Homepage: https://github.com/awesometic/realtek-r8125-dkms
 
 Package: realtek-r8125-dkms

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

#just use base version
VERSION	:= $(shell dpkg-parsechangelog -S Version | sed 's/-.*//' | sed 's/+pristine//')

%:
	dh $@ --parallel --with dkms

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_install:
	dh_install dkms.conf REALTEK_README.txt Makefile usr/src/realtek-r8125-$(VERSION)
	dh_install src/* usr/src/realtek-r8125-$(VERSION)/src

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_fixperms:
	dh_fixperms
	find debian/realtek-r8125-dkms/usr/src -type f -exec chmod -x {} \;

# Nothing to configure, build or auto-install
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
